import java.io.*;

public class CategoryClass extends Object {
    private int    Id;
    private String Name;

    public CategoryClass(String name) {
        super();

        Id   = 0;
        Name = name;
    }

    public CategoryClass(int id, byte record[]) throws IOException {
        super();

        DataInputStream data_stream;

        data_stream = new DataInputStream(new ByteArrayInputStream(record));
        Id          = id;
        Name        = data_stream.readUTF();
    }

    public void SetId(int id) {
        Id = id;
    }

    public int GetId() {
        return Id;
    }

    public String GetName() {
        return Name;
    }

    public byte[] ToByteArray() throws IOException {
        ByteArrayOutputStream byte_stream;
        DataOutputStream      data_stream;

        byte_stream = new ByteArrayOutputStream();
        data_stream = new DataOutputStream(byte_stream);

        data_stream.writeUTF(Name);

        return byte_stream.toByteArray();
    }
}
